mp3splt-gtk: src/gstreamer_control.c File Reference

mp3splt-gtk 0.9.3.1519

Loading...
Searching...
No Matches
gstreamer_control.c File Reference
`#include <gst/gst.h>`
`#include "gstreamer_control.h"`
Include dependency graph for gstreamer_control.c:

Go to the source code of this file.

## Functions
void | gstreamer_add_files (GList *list, ui_state *ui)
gchar * | gstreamer_get_filename (ui_state *ui)
gint | gstreamer_get_playlist_number (ui_state *ui)
void | gstreamer_get_song_infos (gchar *total_infos, ui_state *ui)
gint | gstreamer_get_time_elapsed (ui_state *ui)
gchar * | gstreamer_get_title_song (ui_state *ui)
gint | gstreamer_get_total_time (ui_state *ui)
gint | gstreamer_get_volume (ui_state *ui)
gint | gstreamer_is_paused (ui_state *ui)
gint | gstreamer_is_playing (ui_state *ui)
gint | gstreamer_is_running (ui_state *ui)
void | gstreamer_jump (gint position, ui_state *ui)
void | gstreamer_next (ui_state *ui)
void | gstreamer_pause (ui_state *ui)
void | gstreamer_play (ui_state *ui)
void | gstreamer_play_last_file (ui_state *ui)
void | gstreamer_prev (ui_state *ui)
void | gstreamer_quit (ui_state *ui)
void | gstreamer_select_last_file (ui_state *ui)
void | gstreamer_set_volume (gint volume, ui_state *ui)
void | gstreamer_start (ui_state *ui)
void | gstreamer_start_with_songs (GList *list, ui_state *ui)
void | gstreamer_stop (ui_state *ui)

## Detailed Description

Control the gstreamer framework

this file has functions to control the 'internal'

- gstreamer player

Definition in file gstreamer_control.c.

## Function Documentation

## ◆ gstreamer_add_files()

void gstreamer_add_files | ( | GList * | list,
|  | ui_state * | ui )

add files to the gstreamer playlist

Definition at line 386 of file gstreamer_control.c.

References add_playlist_file().

Referenced by gstreamer_start(), gstreamer_start_with_songs(), player_add_files(), and player_add_files_and_select().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ gstreamer_get_filename()

gchar * gstreamer_get_filename | ( | ui_state * | ui | ) |

returns the filename

The result must be g_free'd after use.

Definition at line 239 of file gstreamer_control.c.

References get_input_filename().

Referenced by gstreamer_get_title_song(), and player_get_filename().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ gstreamer_get_playlist_number()

gint gstreamer_get_playlist_number | ( | ui_state * | ui | ) |

returns the number of songs of the playlist

Definition at line 251 of file gstreamer_control.c.

Referenced by player_get_playlist_number().

Here is the caller graph for this function:

## ◆ gstreamer_get_song_infos()

void gstreamer_get_song_infos | ( | gchar * | total_infos,
|  | ui_state * | ui )

Gets information about the song.

Definition at line 173 of file gstreamer_control.c.

Referenced by player_get_song_infos().

Here is the caller graph for this function:

## ◆ gstreamer_get_time_elapsed()

gint gstreamer_get_time_elapsed | ( | ui_state * | ui | ) |

returns elapsed time

Definition at line 320 of file gstreamer_control.c.

Referenced by player_get_elapsed_time().

Here is the caller graph for this function:

## ◆ gstreamer_get_title_song()

gchar * gstreamer_get_title_song | ( | ui_state * | ui | ) |

returns the title of the song

The result must be g_free'd after use

Definition at line 260 of file gstreamer_control.c.

References gstreamer_get_filename().

Referenced by player_get_title().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ gstreamer_get_total_time()

gint gstreamer_get_total_time | ( | ui_state * | ui | ) |

returns total time of the current song

Definition at line 569 of file gstreamer_control.c.

Referenced by player_get_total_time().

Here is the caller graph for this function:

## ◆ gstreamer_get_volume()

gint gstreamer_get_volume | ( | ui_state * | ui | ) |

returns volume

Definition at line 443 of file gstreamer_control.c.

Referenced by player_get_volume().

Here is the caller graph for this function:

## ◆ gstreamer_is_paused()

gint gstreamer_is_paused | ( | ui_state * | ui | ) |

returns TRUE if gstreamer is paused, if not, FALSE

Definition at line 472 of file gstreamer_control.c.

Referenced by player_is_paused().

Here is the caller graph for this function:

## ◆ gstreamer_is_playing()

gint gstreamer_is_playing | ( | ui_state * | ui | ) |

returns TRUE if gstreamer is playing, else FALSE

Definition at line 592 of file gstreamer_control.c.

Referenced by player_is_playing().

Here is the caller graph for this function:

## ◆ gstreamer_is_running()

gint gstreamer_is_running | ( | ui_state * | ui | ) |

returns TRUE if gstreamer is running; if not, FALSE

Definition at line 466 of file gstreamer_control.c.

Referenced by player_is_running().

Here is the caller graph for this function:

## ◆ gstreamer_jump()

void gstreamer_jump | ( | gint | position,
|  | ui_state * | ui )

jump to time

Definition at line 556 of file gstreamer_control.c.

Referenced by gstreamer_play(), and player_seek().

Here is the caller graph for this function:

## ◆ gstreamer_next()

void gstreamer_next | ( | ui_state * | ui | ) |

changes to next song

Definition at line 546 of file gstreamer_control.c.

Referenced by player_next().

Here is the caller graph for this function:

## ◆ gstreamer_pause()

void gstreamer_pause | ( | ui_state * | ui | ) |

pause a song

Definition at line 520 of file gstreamer_control.c.

References gstreamer_play().

Referenced by player_pause().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ gstreamer_play()

void gstreamer_play | ( | ui_state * | ui | ) |

plays a song

Definition at line 491 of file gstreamer_control.c.

References gstreamer_jump().

Referenced by gstreamer_pause(), gstreamer_play_last_file(), gstreamer_start_with_songs(), and player_play().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ gstreamer_play_last_file()

void gstreamer_play_last_file | ( | ui_state * | ui | ) |

plays the last file of the playlist

Definition at line 379 of file gstreamer_control.c.

References gstreamer_play(), and gstreamer_stop().

Referenced by player_add_play_files(), and player_start_play_with_songs().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ gstreamer_prev()

void gstreamer_prev | ( | ui_state * | ui | ) |

changes to previous song

Definition at line 551 of file gstreamer_control.c.

Referenced by player_prev().

Here is the caller graph for this function:

## ◆ gstreamer_quit()

void gstreamer_quit | ( | ui_state * | ui | ) |

quits player

Definition at line 610 of file gstreamer_control.c.

Referenced by gstreamer_start(), and player_quit().

Here is the caller graph for this function:

## ◆ gstreamer_select_last_file()

void gstreamer_select_last_file | ( | ui_state * | ui | ) |

selects the last file in the playlist

Definition at line 374 of file gstreamer_control.c.

Referenced by player_add_files_and_select().

Here is the caller graph for this function:

## ◆ gstreamer_set_volume()

void gstreamer_set_volume | ( | gint | volume,
|  | ui_state * | ui )

sets volume

Definition at line 432 of file gstreamer_control.c.

Referenced by player_set_volume().

Here is the caller graph for this function:

## ◆ gstreamer_start()

void gstreamer_start | ( | ui_state * | ui | ) |

starts gstreamer

Definition at line 341 of file gstreamer_control.c.

References get_input_filename(), gstreamer_add_files(), gstreamer_quit(), and put_status_message().

Referenced by gstreamer_start_with_songs(), and player_start().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ gstreamer_start_with_songs()

void gstreamer_start_with_songs | ( | GList * | list,
|  | ui_state * | ui )

starts gstreamer with songs

Definition at line 458 of file gstreamer_control.c.

References gstreamer_add_files(), gstreamer_play(), and gstreamer_start().

Referenced by player_start_add_files(), and player_start_play_with_songs().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ gstreamer_stop()

void gstreamer_stop | ( | ui_state * | ui | ) |

stops a song

Definition at line 509 of file gstreamer_control.c.

Referenced by gstreamer_play_last_file(), and player_stop().

Here is the caller graph for this function: